summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.SRCINFO6
-rw-r--r--PKGBUILD16
-rw-r--r--xfce-polkit.install8
3 files changed, 17 insertions, 13 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 390c5d52391..c61c2f57689 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,11 +1,11 @@
pkgbase = xfce-polkit-git
pkgdesc = A simple PolicyKit authentication agent for XFCE
- pkgver = 8.be888ee
- pkgrel = 3
+ pkgver = 17.6ad1ee8
+ pkgrel = 1
url = https://github.com/ncopa/xfce-polkit
install = xfce-polkit.install
- arch = i686
arch = x86_64
+ arch = i686
license = GPL
makedepends = git
depends = polkit
diff --git a/PKGBUILD b/PKGBUILD
index 8c0fb5c5ad5..d4f86376a91 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -3,25 +3,25 @@
_pkgname=xfce-polkit
pkgname=${_pkgname}-git
-pkgver=8.be888ee
-pkgrel=3
-pkgdesc="A simple PolicyKit authentication agent for XFCE"
-arch=('i686' 'x86_64')
+pkgver=17.6ad1ee8
+pkgrel=1
+pkgdesc='A simple PolicyKit authentication agent for XFCE'
+arch=('x86_64' 'i686')
url="https://github.com/ncopa/xfce-polkit"
license=(GPL)
depends=('polkit' 'libxfce4ui')
makedepends=('git')
provides=("${_pkgname}" "polkit-gnome")
conflicts=("${_pkgname}" "polkit-gnome")
-source=("git+$url"
- "xfce-polkit.desktop")
+source=(git+$url
+ xfce-polkit.desktop)
md5sums=('SKIP'
- '7f0d7f7583351851be1bf4c1665fdf91')
+ '7f0d7f7583351851be1bf4c1665fdf91')
install=xfce-polkit.install
pkgver() {
cd "$srcdir/$_pkgname"
- echo "$(git rev-list --count HEAD).$(git describe --always)" | sed 's|-|.|g'
+ echo $(git rev-list --count HEAD).$(git rev-parse --short HEAD)
}
build() {
diff --git a/xfce-polkit.install b/xfce-polkit.install
index d940b23e1d2..dfa9212c5ab 100644
--- a/xfce-polkit.install
+++ b/xfce-polkit.install
@@ -1,3 +1,7 @@
-post_install() {
- /usr/lib/xfce-polkit/xfce-polkit > /dev/null 2>&1 &
+post_upgrade() {
+ killall xfce-polkit
+ post_install
}
+post_install() {
+ /usr/lib/xfce-polkit/xfce-polkit > /dev/null 2>&1 &
+} \ No newline at end of file